package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * SwitchPortPoe
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class SwitchPortPoe   {
  @JsonProperty("poeMode")
  private Integer poeMode;

  public SwitchPortPoe poeMode(Integer poeMode) {
    this.poeMode = poeMode;
    return this;
  }

  /**
   * Poe mode should be a value as follows: 1: on(802.3at/af); 0: off.
   * @return poeMode
  */
  @ApiModelProperty(required = true, value = "Poe mode should be a value as follows: 1: on(802.3at/af); 0: off.")
  @NotNull


  public Integer getPoeMode() {
    return poeMode;
  }

  public void setPoeMode(Integer poeMode) {
    this.poeMode = poeMode;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SwitchPortPoe switchPortPoe = (SwitchPortPoe) o;
    return Objects.equals(this.poeMode, switchPortPoe.poeMode);
  }

  @Override
  public int hashCode() {
    return Objects.hash(poeMode);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SwitchPortPoe {\n");
    
    sb.append("    poeMode: ").append(toIndentedString(poeMode)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

